Bug 1066386 (CVE-2013-4540) - CVE-2013-4540 qemu: zaurus: buffer overrun on invalid state load
Summary: CVE-2013-4540 qemu: zaurus: buffer overrun on invalid state load
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-4540
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1095748 1095749 1095751
Blocks: 1036654
TreeView+ depends on / blocked
 
Reported: 2014-02-18 10:14 UTC by Petr Matousek
Modified: 2019-09-29 13:13 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-22 11:30:17 UTC


Attachments (Terms of Use)

Description Petr Matousek 2014-02-18 10:14:04 UTC
Within scoop_gpio_handler_update, if prev_level has a high bit set, then
we get bit > 16 and that does a buffer overrun.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=52f91c3723932f8340fe36c8ec8b18a757c37b2b

Comment 1 Petr Matousek 2014-02-18 11:33:35 UTC
Statement:

Not vulnerable.

This issue does not affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does not affect the versions of qemu-kvm package as shipped
with Red Hat Enterprise Linux 6

Comment 3 Prasad J Pandit 2014-05-08 13:16:25 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095748]

Comment 4 Fedora Update System 2014-05-16 09:59:07 UTC
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.